{ lib, namespace, ... }:
with lib;
{
  options.${namespace}.services.protonmail-bridge = {
    enable = mkEnableOption "protonmail bridge service";

    smtpPort = mkOption {
      type = types.port;
      default = 1025;
      description = "SMTP port for protonmail bridge";
    };

    imapPort = mkOption {
      type = types.port;
      default = 1143;
      description = "IMAP port for protonmail bridge";
    };

    openFirewall = mkOption {
      type = types.bool;
      default = true;
      description = "Whether to open firewall for protonmail bridge";
    };

    user = mkOption {
      type = types.str;
      default = "admin";
      description = "User to run protonmail bridge as";
    };
  };
}
